## org.eclipse.emf.cdo.defs
Interface RetryFailOverStrategyDef

All Superinterfaces:
  org.eclipse.net4j.util.defs.Def, org.eclipse.emf.ecore.EObject, FailOverStrategyDef, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RetryFailOverStrategyDefImpl

    public interface RetryFailOverStrategyDef

extends FailOverStrategyDef

A representation of the model object 'Retry Fail Over Strategy'.

The following features are supported:

- `Retries`

See Also:
  `CDODefsPackage.getRetryFailOverStrategyDef()`

Method Summary
`int` `getRetries()` Returns the value of the 'Retries' attribute.
`boolean` `isSetRetries()` Returns whether the value of the '`Retries`' attribute is set.
`void` `setRetries(int value)` Sets the value of the '`Retries`' attribute.
`void` `unsetRetries()` Unsets the value of the '`Retries`' attribute.

Methods inherited from interface org.eclipse.emf.cdo.defs.FailOverStrategyDef
`getConnectorDef, setConnectorDef`

Methods inherited from interface org.eclipse.net4j.util.defs.Def
`getInstance, isTouched, unsetInstance`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRetries

    int getRetries()

  Returns the value of the 'Retries' attribute.

  If the meaning of the 'Retries' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Retries' attribute.
  See Also:
    `isSetRetries()`, `unsetRetries()`, `setRetries(int)`, `CDODefsPackage.getRetryFailOverStrategyDef_Retries()`

### setRetries

    void setRetries(int value)

  Sets the value of the '`Retries`' attribute.

  Parameters:
    `value` - the new value of the 'Retries' attribute.
  See Also:
    `isSetRetries()`, `unsetRetries()`, `getRetries()`

### unsetRetries

    void unsetRetries()

  Unsets the value of the '`Retries`' attribute.

  See Also:
    `isSetRetries()`, `getRetries()`, `setRetries(int)`

### isSetRetries

    boolean isSetRetries()

  Returns whether the value of the '`Retries`' attribute is set.

  Returns:
    whether the value of the 'Retries' attribute is set.
  See Also:
    `unsetRetries()`, `getRetries()`, `setRetries(int)`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.